API referenceDeal
POST /api/Deal/GetDealsByBusinessUnitIds
A Business Unit id should be passed in the request body, and the API returns a list of Deals that corresponds to the Business Unit.
POST
/api/Deal/GetDealsByBusinessUnitIdscurl -X POST "/api/Deal/GetDealsByBusinessUnitIds" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": [
1,
2,
3
]
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
datainteger[] | null
Response
application/json
A list of Deals.
successbooleanrecordCountinteger<int32>dataEtrmApiGateway.DTOs.PortfolioManagement.DealApiRequestDto[] | null
{
"success": true,
"recordCount": 0,
"data": [
{
"id": 0,
"externalId": "string",
"name": "string",
"dealClass": 1,
"commodity": 0,
"dealDirection": 1,
"dealStatus": 10,
"dealDelivery": 1,
"timeZoneInfo": 0,
"companyId": 0,
"businessUnitId": 0,
"bookId": 0,
"folderId": 0,
"portfolioId": 0,
"counterPartyId": 0,
"validFrom": "2026-01-15T09:30:00Z",
"validTo": "2026-01-15T09:30:00Z",
"profiles": [
{
"id": 0,
"timeseriesId": 0,
"type": 1,
"quantity": 0,
"uom": 1,
"granularity": 1
}
],
"totalQuantity": 0,
"priceType": 0,
"currency": 1,
"legs1": [
{
"id": 0,
"dealUpfront": 0,
"dealUpfront2": 0,
"dealMultiplier": 0,
"priceDataseriesId": 0,
"validFrom": "2026-01-15T09:30:00Z"
}
],
"mtmDataseriesId": 0,
"transactionTime": "2026-01-15T09:30:00Z",
"exchangeId": 0,
"traderId": 0,
"masterAgreementId": 0,
"includedInSettlement": true,
"calendar": 1,
"ibanId": 0,
"vatLevel": 0,
"deliveryDate": "2026-01-15T09:30:00Z",
"consumptionStart": "2026-01-15T09:30:00Z",
"consumptionEnd": "2026-01-15T09:30:00Z",
"productionEntityExternalId": "string",
"consumptionEntityExternalId": "string",
"technology": 0,
"country": 1,
"counterPartyRegistryAccount": "string",
"amount": 0,
"dealClusterId": 0,
"dealTemplateId": 0,
"linkedDeals": [
0
],
"memo": "string",
"memo2": "string"
}
]
}